package com.caliverse.admin.dynamodb.domain.doc;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import software.amazon.awssdk.enhanced.dynamodb.mapper.annotations.DynamoDbAttribute;
import software.amazon.awssdk.enhanced.dynamodb.mapper.annotations.DynamoDbBean;

@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@DynamoDbBean
public class UserBaseDoc extends DynamoDBDocBase {
    private String userBaseAttrib;

    public String getAttribFieldName() {
        return "UserBaseAttrib";
    }

    @DynamoDbAttribute("UserBaseAttrib")
    @JsonProperty("UserBaseAttrib")
    public String getAttribValue() {
        return userBaseAttrib;
    }

    public void setAttribValue(String value) {
        this.userBaseAttrib = value;
    }
}

